Installation Notes for Ubuntu Users

APIs

If you are using Ubuntu, there are some tasks you must do before installing the Veracode API authentication CLI.

If you are using Ubuntu, you may have a system-installed version of pip on your machine, which may not work properly. Veracode recommends that you uninstall the system-installed pip and install the most recent official version of pip, using:

sudo apt-get remove python-pip
sudo easy_install pip
If you are using Ubuntu, you may also have a system-installed version of HTTPie. Veracode recommends that you uninstall the system-installed version using the following command:
sudo apt-get purge httpie